#include "OE_ui_stitchlist.h"
#include "lib/qtmaterialtheme.h"


OE_ui_stitchList::OE_ui_stitchList()
{
this->setSelectionMode(QAbstractItemView::ExtendedSelection);
setDragEnabled(true);
setDragDropMode(QAbstractItemView::InternalMove);
viewport()->setAcceptDrops(true);
setDropIndicatorShown(true);
setDefaultDropAction(Qt::TargetMoveAction);

setMinimumSize(100,0);

setDragDropMode(QAbstractItemView::InternalMove);

model = new QStandardItemModel();
listdelegate = new ListviewDelegate();
setItemDelegate(listdelegate);
setModel(model);

getItems();

showMaximized();


}

void OE_ui_stitchList::getItems()
{
	QStandardItem *item = new QStandardItem();
	QIcon icon(this->style()->standardIcon(QStyle::SP_DialogOpenButton));
	QIcon type(this->style()->standardIcon(QStyle::SP_DialogOpenButton));
	QIcon pattern(this->style()->standardIcon(QStyle::SP_DialogOpenButton));
	item->setData(QColor(Qt::red),ListviewDelegate::threadRole);
	item->setData("12",ListviewDelegate::IndexRole);
	item->setData("5885",ListviewDelegate::NbpointsRole);
	item->setData(icon,ListviewDelegate::IconRole);
	item->setData(type,ListviewDelegate::typeRole);
	item->setData(pattern,ListviewDelegate::patternole);

	item->setFlags(item->flags() & ~(Qt::ItemIsDropEnabled));//& ~Qt::ItemIsDragEnabled);
	model->appendRow(item);


	QStandardItem *item1 = new QStandardItem();
	item1->setFlags(item->flags() & ~(Qt::ItemIsDropEnabled));//& ~Qt::ItemIsDragEnabled);
	model->appendRow(item1);

	QStandardItem *itema = new QStandardItem();
	itema->setData(QColor(Qt::red),ListviewDelegate::threadRole);
	itema->setData("12",ListviewDelegate::IndexRole);
	itema->setData("5885",ListviewDelegate::NbpointsRole);
	itema->setData(icon,ListviewDelegate::IconRole);
	itema->setData(type,ListviewDelegate::typeRole);
	itema->setData(pattern,ListviewDelegate::patternole);

	itema->setFlags(item->flags() & ~(Qt::ItemIsDropEnabled));//& ~Qt::ItemIsDragEnabled);
	model->appendRow(itema);

/*
	QStandardItem *item = new QStandardItem();
	QIcon icon(this->style()->standardIcon(QStyle::SP_DialogOpenButton));
	item->setData("Inbox",ListviewDelegate::headerTextRole);
	item->setData("10 Messages",ListviewDelegate::subHeaderTextrole);
	item->setData(icon,ListviewDelegate::IconRole);
	item->setFlags(item->flags() & ~(Qt::ItemIsDropEnabled));//& ~Qt::ItemIsDragEnabled);
	model->appendRow(item);
	QStandardItem *item1 = new QStandardItem();
	item1->setData("Draft",ListviewDelegate::headerTextRole);
	item1->setData("5 Messages",ListviewDelegate::subHeaderTextrole);
	item1->setData(icon,ListviewDelegate::IconRole);
	item1->setFlags(item1->flags() & ~(Qt::ItemIsDropEnabled));
	item1->setEditable(false);
	model->appendRow(item1);
	QStandardItem *item2 = new QStandardItem();
	item2->setData("Sent Items",ListviewDelegate::headerTextRole);
	item2->setData("5 Messages",ListviewDelegate::subHeaderTextrole);
	item2->setData(icon,ListviewDelegate::IconRole);
	item2->setFlags(item2->flags() & ~(Qt::ItemIsDropEnabled));
	item2->setEditable(false);
	model->appendRow(item2);
	QStandardItem *item3 = new QStandardItem();
	item3->setData("Message Settings",ListviewDelegate::headerTextRole);
	item3->setData("",ListviewDelegate::subHeaderTextrole);
	item3->setData(icon,ListviewDelegate::IconRole);
	item3->setFlags(item3->flags() & ~(Qt::ItemIsDropEnabled));
	item3->setEditable(false);
	model->appendRow(item3);
	QStandardItem *item4 = new QStandardItem();
	item4->setData("Delivery Reports",ListviewDelegate::headerTextRole);
	item4->setData("",ListviewDelegate::subHeaderTextrole);
	item4->setData(icon,ListviewDelegate::IconRole);
	item4->setFlags(item4->flags() & ~(Qt::ItemIsDropEnabled));
	item4->setEditable(false);
	   model->appendRow(item4);*/
}

